Subject: RE: FW: [seamoby] CT trigger or CT completion? was: proactive and re active CT definitions

From: Nakhjiri Madjid-MNAKHJI1 <[email-masked]>
Date: Mon, 2 Jul 2001 14:09:19 -0500

-----Original Message-----
From: Pat Calhoun [mailto:[email-masked]]
Sent: Friday, June 29, 2001 1:06 PM
To: Rajeev Koodli
Cc: Gary Kenward; Kulwinder Atwal; 'Pat Calhoun'; 'Nakhjiri
Madjid-MNAKHJI1'; 'Charles E. Perkins'; [email-masked]'
Subject: Re: FW: [seamoby] CT trigger or CT completion? was: proactive
and re active CT definitions

On Thu, Jun 28, 2001 at 02:07:28PM -0700, Rajeev Koodli wrote:
> It is puzzling to me that you would agree with the logic and yet do not
> understand what constitutes IP router discovery! It is a procedure that
> all IP nodes do as part of bootstrapping their interfaces, including
> when they change networks. Simply put, if you changed AR, you would be
> doing router discovery. Who is proposing to add more messages over the
> air interface?

I believe what folks are talking about is that CT can occur before neighbor
discovery is even performed. This is true in the fast MIPv4 draft, and in
the newly advertised BETH draft for MIPv6. We cannot rule these scenarios
out.

MN>> Thanks, that is exactly my point, we don't have to wait for neighbor
discovery mechanism (knowing the default router included) to initiate CT.

Madjid

---

From: "David R. Oran" <[email-masked]>
Date: Tue, 3 Jul 2001 08:29:24 -0400

Sorry for joining in late. Just a small comment. While I generally like
the idea of explaining the initiation and state management for context
transfer in terms of mobile link establishment, it is very important to
keep in mind that mobile link establishment may not be symmetric or
atomic with respect the the context transfer state machines. I think we
need to consider the definitions and overall model as if there were FOUR
links, not two:
 - old downlink
 - old uplink
 - new downlink
 - new uplink

It seems to me you usually can't start context transfer until the new
downlink is operational, at least at layer 2, (since the mobile doesn't
know really where it might move until then), and you need to complete
context transfer soon after the new uplink is operational, or you don't
get much benefit.

Perhaps if we talked in terms of these four links, plus the link
betweeen oldAR and newAR (which we can probably treat as symmetric
because it's on the non-mobile part of the net) we can more directly
discuss the timing and state machines for context transfer rather than
relying on somewhat slippery notions like "proactive" versus "reactive".

One exception to the above that may be worth at covering at least for
completeness, is true "predictive" context transfer, where the system
tries to predict where the mobile might show up before it even tries to
move. The model should not preclude that option, impractical as it may
be on some wireless systems.

Dave.

> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Nakhjiri 
> Madjid-MNAKHJI1
> Sent: Thursday, June 28, 2001 11:58 AM
> To: 'Pat Calhoun'; Rajeev Koodli
> Cc: Kulwinder Atwal; Nakhjiri Madjid-MNAKHJI1; 'Charles E. 
> Perkins'; [email-masked]'
> Subject: RE: FW: [seamoby] CT trigger or CT completion? was: 
> proactive and re active CT definitions
> 
> 
> I don't like this one, I seem to be chasing a moving target 
> (definition of 
> reactive, proactive). Last week we were talking about whether 
> to use link establishment or not, this week it is about 
> default router.
> 
> I started to like Charlie's definition based on link 
> establishment, (however, we accepted that by link we are 
> talking about L2) since L2 establishment is more crisp than 
> completed handover. and we explored different cases, so we 
> don't miss all the cases. The draft versus Charlie's 
> definition of reactive/ proactive 
> definitions in the two turned out to cover different
> set of scenarios without changing the outcome too much. 
> 
>  I don't see how this new definition that pop up everyday are 
> making the CT better.
> 
> I am the newAR, How long do I have to wait until I make sure 
> I am the default router, say in a FMIPv6 case: until I get
> the NA and make sure MN has a valid newCoA?
> What if the MN still has to use its oldCoA and a tunnel 
> between newAR and oldAR, how long do I have to wait to start CT, this 
> introduces unnecessary delay for CT.
> 
> Another confusing thing is folks on the list keep using their 
> own favorite words and definitions in the continuing 
> conversations without paying attention what the other ends 
> understanding of that word is,
> 
> Lets finish off the link establishment discussion and if it
> is not good enough, see what is better, the way it is going
> I am not sure we are making a lot of progress in wrapping things up.
> 
> Madjid
> 
> Sent: Thursday, June 28, 2001 8:36 AM
> To: Rajeev Koodli
> Cc: Kulwinder Atwal; 'Pat Calhoun'; 'Nakhjiri 
> Subject: Re: FW: [seamoby] CT trigger or CT completion? was: 
> proactive and re active CT definitions
> 
> 
> > > How is this:
> > >
> > > Pre-Handoff Context Transfer: The Context Transfer is initiated 
> > > prior to
> the
> > > newAR becomes the MN's default router.
> > >
> > > Post-Handoff Context Transfer:  The Context Transfer is initiated 
> > > after
> the
> > > newAR becomes the MN's default router.
> > >
> > > -Kulwinder.
> > >
> > >
> > 
> > Rajeev: This would work for me.  May be we should ask PatC on how to
> proceed
> > next?
> 
> what do folks think about using this terminology? Is this 
> preferred over the existing terminology in the draft?
> 
> PatC
>